Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032432
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2016-03-08 08:282016-03-17 10:56
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revision88d23d650314
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032432: incorrect dates issue detection on install.source

DescriptionPrevious PostrgreSQL jdbc had an issue with dates when not using Tomcat pool which was fixed by issue 0031959.

The fix included a module script to detect instances in this situation. This script is executed on install.source incorrectly flagging the instance as being affected by this issue.

This problem affects instances that:
* Do no use Tomcat connection pool
* Are in a pi version between 15Q4 and 16Q1

Note instances in this situation will be flagged as potentially problematic also after this is fixed when they are updated to some version previous to 16Q1 because the script uses core's version number which is pi revision number at the time the issue was fixed +1, as 16Q1 has not been published yet, and version number has not been increased there is no way to properly detect this case.
Steps To Reproduce1. Clone a current pi (between 15Q4 and 16Q1), ie. hg clone https://code.openbravo.com/erp/devel/pi/ [^] -r 45b4ba10bd5d
2. Configure Openbravo.properties to use PG removing db.externalPoolClassName property
3. run ant install.source
  -> Check in log:
       Executing moduleScript: org.openbravo.modulescript.PgJdbcDatesIssue
       Updating from 15PRQ4 potential problems with dates - Some dates can be corrupted. Check http://wiki.openbravo.com/wiki/Release_Notes/Issue31959 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031959 closedcaristu Incorrect posting data when not defining an external connection pool on the Openbravo.properties 

-  Notes
(0084799)
alostale (developer)
2016-03-08 08:30

Note fix for this issue does not require to be backported as it only affects intermediate versions (and not released) between 15Q4 and 16Q1.
(0084802)
hgbot (developer)
2016-03-08 08:54

Repository: erp/devel/pi
Changeset: 88d23d650314b4f8925a5325d2e1fd29964faef7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Mar 08 08:54:17 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/88d23d650314b4f8925a5325d2e1fd29964faef7 [^]

fixed issue 32432: incorrect dates issue detection on install.source

  Do not execute PgJdbcDatesIssue module script on install.source.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/PgJdbcDatesIssue.class
M src-util/modulescript/src/org/openbravo/modulescript/PgJdbcDatesIssue.java
---
(0084920)
caristu (developer)
2016-03-11 16:06
edited on: 2016-03-11 16:33

Verified: PgJdbcDatesIssue modulescript having executeOnInstall() method returning false is not executed on install.source being in a version between 15Q4 and 16Q1.

(0085189)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-03-08 08:28 alostale New Issue
2016-03-08 08:28 alostale Assigned To => platform
2016-03-08 08:28 alostale Modules => Core
2016-03-08 08:28 alostale Triggers an Emergency Pack => No
2016-03-08 08:28 alostale Relationship added related to 0031959
2016-03-08 08:30 alostale Note Added: 0084799
2016-03-08 08:30 alostale Assigned To platform => alostale
2016-03-08 08:37 alostale Review Assigned To => caristu
2016-03-08 08:52 alostale Description Updated View Revisions
2016-03-08 08:54 hgbot Checkin
2016-03-08 08:54 hgbot Note Added: 0084802
2016-03-08 08:54 hgbot Status new => resolved
2016-03-08 08:54 hgbot Resolution open => fixed
2016-03-08 08:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/88d23d650314b4f8925a5325d2e1fd29964faef7 [^]
2016-03-11 16:06 caristu Note Added: 0084920
2016-03-11 16:06 caristu Status resolved => closed
2016-03-11 16:06 caristu Fixed in Version => 3.0PR16Q2
2016-03-11 16:33 caristu Note Edited: 0084920 View Revisions
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085189


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker